Inspect

Archive session

Archive a session by setting its deletedAt timestamp. Archived sessions are hidden from default list queries but can still be retrieved individually or by using include_archived=true. The session can be archived by the session owner or by the API key user who originally created the session (e.g. when using on_behalf_of).

Base URL
DELETE
/api/public/v1/sessions/{session_id}

Archive a session by setting its deletedAt timestamp. Archived sessions are hidden from default list queries but can still be retrieved individually or by using include_archived=true. The session can be archived by the session owner or by the API key user who originally created the session (e.g. when using on_behalf_of).

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key authentication. Use your API key as the bearer token.

Path Parameters

session_id*string

The unique identifier of the session

Query Parameters

close_pull_request?boolean

Whether to close the session pull request when archiving.

Defaulttrue

Response Body

No content

Example Request
curl -X DELETE 'https://your-org.inspect.com/api/public/v1/sessions/string'
Example Response
Empty